require "git/stats/version"
require "git/stats/statistic"

module Git
  module Stats
    class Error < StandardError; end
    class FolderNotFound < StandardError; end
    class BranchNotFound < StandardError; end

    def self.statistic(folder, branch = "develop", options = {})
      stats = Git::Stats::Statistic.statistic(folder, branch, options)
      yield stats if block_given?
    end
  end
end
