require "git/stats/commit"

module Git
  module Stats
    class Repo
      attr_accessor :folder, :branch

      def initialize(folder, branch)
        # TODO: Check folder
        @folder = folder
        # TODO: Check branch
        @branch = branch || "develop"
      end

      def commits
        result = `cd #{@folder} && git checkout #{@branch} > /dev/null 2>&1 && git log --pretty=format:"%h | %ae | %ci | %s"`.split("\n")
        result.map do |line|
          next unless line =~ /^\S+\s\|\s.+$/

          commit_hash, author_email, commit_date, commit_title = line.split(" | ")
          next if commit_title.include?("Merge branch")

          Commit.new(self,
            {
              commit_hash: commit_hash,
              author_email: author_email,
              commit_date: commit_date,
              commit_title: commit_title
            }
          )
        end.compact
      end

      def authors
      end
    end
  end
end